balancedGrouped {nlme} | R Documentation

## Create a groupedData object from a matrix

### Description

Create a `groupedData` object from a data matrix. This function can be used only with balanced data. The opposite conversion, from a `groupedData` object to a `matrix`, is done with `asTable`.

### Usage

    balancedGrouped(form, data, labels=NULL, units=NULL)

### Arguments

`form` | A formula of the form `y ~ x | g` giving the name of the response, the primary covariate, and the grouping factor.
`data` | A matrix or data frame containing the values of the response grouped according to the levels of the grouping factor (rows) and the distinct levels of the primary covariate (columns). The `dimnames` of the matrix are used to construct the levels of the grouping factor and the primary covariate.
`labels` | an optional list of character strings giving labels for the response and the primary covariate. The label for the primary covariate is named `x` and that for the response is named `y`. Either label can be omitted.
`units` | an optional list of character strings giving the units for the response and the primary covariate. The units string for the primary covariate is named `x` and that for the response is named `y`. Either units string can be omitted.

### Value

A balanced `groupedData` object.

### Author(s)

José Pinheiro and Douglas Bates bates@stat.wisc.edu

### References

Pinheiro, J. C. and Bates, D. M. (2000), Mixed-Effects Models in S and S-PLUS, Springer, New York.

### See Also

`groupedData`, `isBalanced`, `asTable`

### Examples

    OrthoMat <- asTable( Orthodont )
    Orth2 <- balancedGrouped(distance ~ age | Subject, data = OrthoMat,
        labels = list(x = "Age",
                      y = "Distance from pituitary to pterygomaxillary fissure"),
        units = list(x = "(yr)", y = "(mm)"))
    Orth2[ 1:10, ]        ## check the first few entries

    # Pinheiro and Bates, p. 109
    ergoStool.mat <- asTable(ergoStool)
    balancedGrouped(effort~Type|Subject,
                    data=ergoStool.mat)

[Package nlme version 3.1-128 Index]